org.eclipse.cdt.utils

## Class DefaultGnuToolFactory

- java.lang.Object
- - org.eclipse.cdt.utils.DefaultGnuToolFactory

All Implemented Interfaces:
  IGnuToolFactory

Direct Known Subclasses:
  DefaultCygwinToolFactory

    public class DefaultGnuToolFactory
    extends Object
    implements IGnuToolFactory

### Field Summary

Fields
`protected ICExtension` `fExtension`

### Constructor Summary

Constructors
Constructor and Description
`DefaultGnuToolFactory(ICExtension ext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Addr2line` `getAddr2line(org.eclipse.core.runtime.IPath path)`
`protected org.eclipse.core.runtime.IPath` `getAddr2linePath()`
`CPPFilt` `getCPPFilt()`
`protected org.eclipse.core.runtime.IPath` `getCPPFiltPath()`
`NM` `getNM(org.eclipse.core.runtime.IPath path)`
`protected String` `getNMArgs()`
`protected org.eclipse.core.runtime.IPath` `getNMPath()`
`Objdump` `getObjdump(org.eclipse.core.runtime.IPath path)`
`protected String` `getObjdumpArgs()`
`protected org.eclipse.core.runtime.IPath` `getObjdumpPath()`
`protected org.eclipse.core.runtime.IPath` `getStripPath()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fExtension

    protected ICExtension fExtension

### Constructor Detail

#### DefaultGnuToolFactory

    public DefaultGnuToolFactory(ICExtension ext)

### Method Detail

#### getAddr2line

    public Addr2line getAddr2line(org.eclipse.core.runtime.IPath path)

Specified by:
  `getAddr2line` in interface `IGnuToolFactory`

#### getCPPFilt

    public CPPFilt getCPPFilt()

Specified by:
  `getCPPFilt` in interface `IGnuToolFactory`

#### getObjdump

    public Objdump getObjdump(org.eclipse.core.runtime.IPath path)

Specified by:
  `getObjdump` in interface `IGnuToolFactory`

#### getNM

    public NM getNM(org.eclipse.core.runtime.IPath path)

Specified by:
  `getNM` in interface `IGnuToolFactory`

#### getAddr2linePath

    protected org.eclipse.core.runtime.IPath getAddr2linePath()

#### getObjdumpPath

    protected org.eclipse.core.runtime.IPath getObjdumpPath()

#### getObjdumpArgs

    protected String getObjdumpArgs()

#### getCPPFiltPath

    protected org.eclipse.core.runtime.IPath getCPPFiltPath()

#### getStripPath

    protected org.eclipse.core.runtime.IPath getStripPath()

#### getNMPath

    protected org.eclipse.core.runtime.IPath getNMPath()

#### getNMArgs

    protected String getNMArgs()